Subject: bug#10133: (24.0.91; mark-active)

From: Stefan Monnier <[email-masked]>
Date: Tue, 29 Nov 2011 08:52:30 -0500

>> I guess the bug is that the functions in "log-view.el" should be using
>> `use-region-p' or `region-active-p' rather than `mark-active'.
> Why? That would make them dependent on transient mark mode.

But the current behavior means that without transient-mark-mode, if
you've set the mark at some point in the past, you can't do a "diff with
current file" any more, only a "diff between revision at point and
revision at mark".

> Nowhere in the doc of eg log-view-diff does it say that the function
> behaves differently if transient mark mode is on.  So I don't see that
> there is a bug here.

It's maybe not a bug, but it's a limitation.
I think `use-region-p' would make a lot of sense here nowadays (there
was no temporary tmm back when I wrote the code, so something like
use-region-p would have made the "diff between 2 revisions"
inaccessible to non-tmm users, but this limit has now been lifted).

        Stefan